FLANG

Static Public Member Functions | List of all members
fir::FieldType Class Reference

`#include <flang/Optimizer/Dialect/FIRType.h>`

Inheritance diagram for fir::FieldType:

## Static Public Member Functions
static FieldType | get (mlir::MLIRContext *ctxt)
static bool | kindof (unsigned kind)

## Detailed Description

The type of a field name. Implementations may defer the layout of a Fortran derived type until runtime. This implies that the runtime must be able to determine the offset of fields within the entity.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRType.h
- lib/Optimizer/Dialect/FIRType.cpp